﻿using System;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class BaseCommand : ICommand<string[]>
	{
		protected string[] args;

		virtual public string GetDescription()
		{
			return "(Empty description)";
		}

		virtual public string GetHelp()
		{
			return "(Empty help text)";
		}

		virtual public int GetArgumentCount()
		{
			return 1;
		}

		virtual public void SetArguments(string[] args)
		{
			this.args = args;
		}

		virtual public void Run()
		{
			foreach (var str in args)
				Console.WriteLine(str);
		}
	}
}
