﻿using System.IO;

namespace AdrianKousz.GenieEngine
{
	public class CompressCommand : BaseCommand
	{
		override public void Run()
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			{
				GenieFile.ScenarioCompression(input, output, false);
			}
		}

		override public int GetArgumentCount()
		{
			return 2;
		}

		override public string GetDescription()
		{
			return "Recompress a decompressed scenario file";
		}

		override public string GetHelp()
		{
			return "Recompress a previously decompressed scenario file."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input binary file> <output scenario>"
			;
		}
	}
}
