﻿using System.IO;

namespace AdrianKousz.GenieEngine
{
	public class DecompressCommand : BaseCommand
	{
		override public void Run()
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			{
				GenieFile.ScenarioCompression(input, output, true);
			}
		}

		override public int GetArgumentCount()
		{
			return 2;
		}

		override public string GetDescription()
		{
			return "Decompress a scenario file";
		}

		override public string GetHelp()
		{
			return "Decompress a scenario file for hex editing."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input scenario> <output binary file>"
			;
		}
	}
}
