﻿using System.IO;
using System.Drawing;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class DelBitmapCommand : BaseCommand
	{
		override public void Run()
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			{
				var scn = GenieFile.Deserialize<Scenario>(input);
				var cin = scn.Cinematics;
				cin.BitmapWidth = 0;
				cin.BitmapHeight = 0;
				cin.BitmapUnknown = Scenario.ScnCinematics.ExpectedUnknownBitmapFalse;
				cin.RawBitmap = new byte[0];
				GenieFile.Serialize(scn, output);
			}
		}

		override public int GetArgumentCount()
		{
			return 2;
		}

		override public string GetDescription()
		{
			return "Remove the pregame bitmap";
		}

		override public string GetHelp()
		{
			return "Remove the pregame bitmap from a scenario."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input scenario> <output scenario>"
			;
		}
	}
}
