using System;
using System.IO;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class ExtractCommand : BaseCommand
	{
		override public void Run()
		{
			using (var file = File.OpenRead(args[0]))
			{
				var cpn = GenieFile.Deserialize<Campaign>(file);
				Console.WriteLine("Extracting \"{0}\"...", cpn.Name);
				cpn.Files.ForEach(x => {
					using (var outfile = File.OpenWrite(x.Filename))
					{
						Console.WriteLine("Extracting \"{0}\" to \"{1}\"...", x.Name, x.Filename);
						outfile.Write(x.RawData);
					}
				});
			}
		}

		override public int GetArgumentCount()
		{
			return 1;
		}

		override public string GetDescription()
		{
			return "Extract files from campaign file";
		}
	}
}
