﻿using System.IO;
using Newtonsoft.Json;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class FromJsonCommand : BaseCommand
	{
		override public void Run()
		{
			using (var input = File.OpenRead(args[0]))
			using (var reader = input.GetReader())
			using (var output = File.OpenWrite(args[1]))
			{
				var str = reader.ReadToEnd();
				var scn = JsonConvert.DeserializeObject<Scenario>(str);
				GenieFile.Serialize(scn, output);
			}
		}

		override public int GetArgumentCount()
		{
			return 2;
		}

		override public string GetDescription()
		{
			return "Convert a JSON file to a scenario";
		}

		override public string GetHelp()
		{
			return "Read a Scenario structure formatted as JSON and save it as a Scenario."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input json> <output scenario>"
			;
		}
	}
}

