﻿using System.IO;
using Newtonsoft.Json;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class ToJsonCommand : BaseCommand
	{
		override public void Run()
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			using (var writer = output.GetWriter())
			{
				var scn = GenieFile.Deserialize<Scenario>(input);
				var result = JsonConvert.SerializeObject(scn, Formatting.Indented);
				writer.WriteLine(result);
			}
		}

		override public int GetArgumentCount()
		{
			return 2;
		}

		override public string GetDescription()
		{
			return "Convert a scenario to a JSON file";
		}

		override public string GetHelp()
		{
			return "Save a Scenario structure formatted as JSON."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input scenario> <output json>"
			;
		}
	}
}
